glibmm 2.62.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
Glib::Container_Helpers::ListIterator< Tr > Class Template Reference

`#include <glibmm/vectorutils.h>`

## Public Types
using | CppType = typename Tr::CppType
using | CType = typename Tr::CType
using | iterator_category = std::forward_iterator_tag
using | value_type = CppType
using | difference_type = std::ptrdiff_t
using | reference = value_type
using | pointer = void

## Public Member Functions
| ListIterator (const GList* node)
value_type | operator* () const
ListIterator< Tr >& | operator++ ()
const ListIterator< Tr > | operator++ (int)
bool | operator== (const ListIterator< Tr >& rhs) const
bool | operator!= (const ListIterator< Tr >& rhs) const

## Member Typedef Documentation

template <class Tr >

using Glib::Container_Helpers::ListIterator< Tr >::CppType = typename Tr::CppType

template <class Tr >

using Glib::Container_Helpers::ListIterator< Tr >::CType = typename Tr::CType

template <class Tr >

using Glib::Container_Helpers::ListIterator< Tr >::difference_type = std::ptrdiff_t

template <class Tr >

using Glib::Container_Helpers::ListIterator< Tr >::iterator_category = std::forward_iterator_tag

template <class Tr >

using Glib::Container_Helpers::ListIterator< Tr >::pointer = void

template <class Tr >

using Glib::Container_Helpers::ListIterator< Tr >::reference = value_type

template <class Tr >

using Glib::Container_Helpers::ListIterator< Tr >::value_type = CppType

## Constructor & Destructor Documentation

template <class Tr >

Glib::Container_Helpers::ListIterator< Tr >::ListIterator | ( | const GList * | node | ) |
| inline explicit

## Member Function Documentation

template <class Tr >

bool Glib::Container_Helpers::ListIterator< Tr >::operator!= | ( | const ListIterator< Tr >& | rhs | ) | const
| inline

template <class Tr >

value_type Glib::Container_Helpers::ListIterator< Tr >::operator* | ( |  | ) | const
| inline

template <class Tr >

ListIterator<Tr>& Glib::Container_Helpers::ListIterator< Tr >::operator++ | ( |  | ) |
| inline

template <class Tr >

const ListIterator<Tr> Glib::Container_Helpers::ListIterator< Tr >::operator++ | ( | int |  | ) |
| inline

template <class Tr >

bool Glib::Container_Helpers::ListIterator< Tr >::operator== | ( | const ListIterator< Tr >& | rhs | ) | const
| inline